Summary: Effect rack for guitar
Name: rakarrack
Version: 0.1.2
Release: 1%{?dist}
License: GPL2
Group: Applications/Multimedia
URL: http://rakarrack.sourceforge.net/
Source0: http://dl.sf.net/sourceforge/rakarrack/rakarrack-%{version}.tar.gz
Source1: rakarrack.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme

BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel alsa-utils
BuildRequires: fltk-devel libXpm-devel libpng-devel libjpeg-devel
BuildRequires: desktop-file-utils

%description
Rakarrack is a basic rack of effects for guitar. 10 effects. Two EQ
(multiband and parametric), distortion, overdrive, echo, chorus,
flanger, phaser, compression and reverb. Real time processing. JACK
support. Online tuner. Bank & Preset managment.

Most of the effects are based on the magnificent work done by Paul
Nasca Octavian in ZynAddSubFX synthesizer. The compressor is based on
ArtsCompressor of Matthias Kretzer & Stefen Westerfeld. The tuner was
adapted from tuneit, a tuner in text mode created by Mario Lang. Paul
Nasca is our hero and a continuous inspiration

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# move extra install of docs to build directory
# to let rpm install it in the right place
mv %{buildroot}%{_datadir}/doc/rakarrack/html .
rm -rf %{buildroot}%{_datadir}/doc/rakarrack

# move icons to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%{__mv} %{buildroot}%{_datadir}/icons/icono_rakarrack_128x128.xpm \
        %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/icono_rakarrack_128x128.xpm
%{__mv} %{buildroot}%{_datadir}/icons/icono_rakarrack_64x64.xpm \
        %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/icono_rakarrack_64x64.xpm
%{__mv} %{buildroot}%{_datadir}/icons/icono_rakarrack_32x32.xpm \
        %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/icono_rakarrack_32x32.xpm

# desktop file categories
BASE="X-Fedora Application AudioVideo"
XTRA="X-Digital_Processing X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING html AUTHORS README
%{_bindir}/rakarrack
%{_datadir}/icons/hicolor/*/*/icono_rakarrack*
%{_mandir}/man1/rakarrack.1*
%{_datadir}/rakarrack
%{_datadir}/applications/*desktop

%changelog
* Fri May 23 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.2-1
- initial build.
